services:
  v2raya:
    image: mzz2017/v2raya:latest
    container_name: v2raya
    restart: unless-stopped
    network_mode: host
    privileged: true
    volumes:
      - /opt/data/v2raya:/etc/v2raya
      - /opt/data/v2raya-extra:/etc/v2raya-extra
    environment:
      - V2RAYA_LOG_FILE=/tmp/v2raya.log
      - V2RAYA_V2RAY_BIN_PATH=/usr/local/bin/v2ray
      - V2RAYA_V2RAY_CONFDIR=/etc/v2raya-extra
